local ten_wa_rt = 1;
return Def.ActorFrame{
  Name= "xtl_actor_hi",
  InitCommand= function(self) end,
  Def.Quad{
    Name= "xtl_actor_ii",
    InitCommand= function(self)

			ten_wa_tiles = {}
			ten_wa_tiles2d = {}
			ten_wa_tiles2ds = {}
			ten_wa_tileObjects = {}

			ten_wa_hstrips = 12
			ten_wa_vstrips = 10

			for i=1,ten_wa_vstrips do
				ten_wa_tiles2d[i] = {}
				ten_wa_tiles2ds[i] = {}
			end

			ten_wa_numtiles = 0
			function ten_wa_setUpTiles(obj)
				ten_wa_numtiles = ten_wa_numtiles+1;

				if ten_wa_numtiles > ten_wa_hstrips*ten_wa_vstrips then
					obj:visible(false);
					return false
				end

				local i = ten_wa_numtiles
				local j = 1

				while i>ten_wa_hstrips do
					i=i-ten_wa_hstrips
					j=j+1
				end

				table.insert(ten_wa_tiles,obj);
				table.insert(ten_wa_tiles2d[j],obj);
				table.insert(ten_wa_tiles2ds[j],obj);
				table.insert(ten_wa_tileObjects,{OrigX=(sw*((i-0.5)/ten_wa_hstrips)),OrigY=(sh*((j-0.5)/ten_wa_vstrips))});

				obj:align((i-0.5)/ten_wa_hstrips,(((ten_wa_vstrips)-j)+0.5)/ten_wa_vstrips)

				obj:x(sw*((i-0.5)/ten_wa_hstrips));
				obj:y(sh*((j-0.5)/ten_wa_vstrips));
				obj:cropleft((i-1)/ten_wa_hstrips)
				obj:cropright((ten_wa_hstrips-i)/ten_wa_hstrips)
				obj:cropbottom((j-1)/ten_wa_vstrips)
				obj:croptop((ten_wa_vstrips-j)/ten_wa_vstrips)
				--This allows me to keep the original tile ordering, but it'll actually look normal. -Kid
				obj:customtexturerect(0,ten_aft_height_ratio,ten_aft_width_ratio,0)
				obj:basezoomy(-1)

				--obj:SetTextureFiltering(false);--No. This looks bad. -Kid

			end

		end,
    OnCommand= cmd(visible,false),
  },
  Def.ActorFrameTexture{
    Name= "xtl_actor_ji",
    InitCommand= function(self)

			--SCREENMAN:GetTopScreen():zoom(0.125);
			--SCREENMAN:GetTopScreen():x(200);

			--ten_wa_p1:zoom(1);

			self:SetTextureName( 'ten_wa_output'..ten_wa_rt )
			self:SetWidth( SCREEN_WIDTH );
			self:SetHeight( SCREEN_HEIGHT );
			self:EnableDepthBuffer( false );
			self:EnableAlphaBuffer( true );
			self:EnableFloat( false );
			self:EnablePreserveTexture( true );

			self:visible(true);

			self:Create();

			--self:Draw()

			ten_wa_tex = self;

		end,
		Def.Sprite{
			ProxyThisMessageCommand= function(self)
				self:SetTexture(ten_base_aft:GetTexture()):Center():customtexturerect(0,0,ten_aft_width_ratio,ten_aft_height_ratio)
			end,
		},
  },
  Def.ActorFrame{
    Name= "tilea_wa holder",--Needed because proxying ten_tilesa looked really weird. -Kid
	InitCommand= function(self) ten_tilesa_af = self  end,
  Def.Quad{
    Name= "xtl_actor_ki",
    OnCommand= cmd(diffuse,color('0,0,0,1');zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y),
  },
  Def.Sprite{
    Name= "xtl_actor_li",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_mi",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_ni",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_oi",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_pi",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_qi",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_ri",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_si",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_ti",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_ui",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_vi",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_wi",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_xi",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_yi",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_zi",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_aj",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_bj",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_cj",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_dj",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_ej",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_fj",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_gj",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_hj",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_ij",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_jj",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_kj",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_lj",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_mj",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_nj",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_oj",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_pj",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_qj",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_rj",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_sj",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_tj",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_uj",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_vj",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_wj",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_xj",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_yj",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_zj",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_ak",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_bk",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_ck",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_dk",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_ek",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_fk",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_gk",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_hk",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_ik",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_jk",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_kk",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_lk",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_mk",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_nk",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_ok",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_pk",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_qk",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_rk",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_sk",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_tk",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_uk",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_vk",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_wk",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_xk",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_yk",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_zk",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_al",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_bl",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_cl",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_dl",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_el",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_fl",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_gl",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_hl",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_il",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_jl",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_kl",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_ll",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_ml",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_nl",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_ol",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_pl",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_ql",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_rl",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_sl",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_tl",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_ul",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_vl",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_wl",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_xl",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_yl",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_zl",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_am",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_bm",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_cm",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_dm",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_em",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_fm",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_gm",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_hm",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_im",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_jm",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_km",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_lm",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_mm",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_nm",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_om",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_pm",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_qm",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_rm",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_sm",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_tm",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_um",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_vm",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_wm",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_xm",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_ym",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_zm",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_an",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_bn",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_cn",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_dn",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_en",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_fn",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_gn",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_hn",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_in",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_jn",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_kn",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_ln",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_mn",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_nn",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_on",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_pn",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_qn",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_rn",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_sn",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_tn",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_un",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_vn",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_wn",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_xn",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_yn",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_zn",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_ao",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_bo",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_co",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_do",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_eo",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_fo",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_go",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_ho",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_io",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_jo",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_ko",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_lo",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_mo",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_no",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_oo",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_po",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_qo",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_ro",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_so",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_to",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_uo",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_vo",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_wo",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_xo",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_yo",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_zo",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_ap",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_bp",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_cp",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_dp",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_ep",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_fp",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_gp",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_hp",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_ip",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_jp",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_kp",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_lp",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_mp",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_np",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_op",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_pp",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_qp",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_rp",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_sp",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_tp",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  Def.Sprite{
    Name= "xtl_actor_up",
    OnCommand= function(self) self:SetTexture(ten_wa_tex:GetTexture());
	ten_wa_setUpTiles(self) end,
    Texture= "white",
  },
  },
}
